umbrello: umbrello/uml.cpp File Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
uml.cpp File Reference
`#include "uml.h"`
`#include "birdview.h"`
`#include "umlappprivate.h"`
`#include "umldoc.h"`
`#include "umllistview.h"`
`#include "umlviewlist.h"`
`#include "worktoolbar.h"`
`#include "umlviewimageexporter.h"`
`#include "umlviewimageexporterall.h"`
`#include "docwindow.h"`
`#include "optionstate.h"`
`#include "cmdlineexportallviewsevent.h"`
`#include "cmds.h"`
`#include "umbrellosettings.h"`
`#include "statusbartoolbutton.h"`
`#include "findresults.h"`
`#include "folder.h"`
`#include "models/diagramsmodel.h"`
`#include "advancedcodegenerator.h"`
`#include "codegenerationpolicy.h"`
`#include "codegenfactory.h"`
`#include "codegenpolicyext.h"`
`#include "simplecodegenerator.h"`
`#include "debug_utils.h"`
`#include "widget_utils.h"`
`#include "icon_utils.h"`
`#include "classwizard.h"`
`#include "codegenerationwizard.h"`
`#include "codeimportingwizard.h"`
`#include "codeviewerdialog.h"`
`#include "diagramprintpage.h"`
`#include "diagramselectiondialog.h"`
`#include "settingsdialog.h"`
`#include "finddialog.h"`
`#include "classimport.h"`
`#include "refactoringassistant.h"`
`#include "umlclipboard.h"`
`#include "umldragdata.h"`
`#include "docbookgenerator.h"`
`#include "xhtmlgenerator.h"`
`#include "umlscene.h"`
`#include <kactioncollection.h>`
`#include <kstandardaction.h>`
`#include <ktoggleaction.h>`
`#include <krecentfilesaction.h>`
`#include <kconfig.h>`
`#include <kcursor.h>`
`#include <KLocalizedString>`
`#include <KMessageBox>`
`#include <ktip.h>`
`#include <kactionmenu.h>`
`#include <kxmlguifactory.h>`
`#include <QApplication>`
`#include <QClipboard>`
`#include <QDesktopWidget>`
`#include <QDockWidget>`
`#include <QDialogButtonBox>`
`#include <QFileDialog>`
`#include <QKeyEvent>`
`#include <QLabel>`
`#include <QMenu>`
`#include <QPointer>`
`#include <QPrinter>`
`#include <QPrintDialog>`
`#include <QPrintPreviewDialog>`
`#include <QPushButton>`
`#include <QRegExp>`
`#include <QScrollBar>`
`#include <QSlider>`
`#include <QStatusBar>`
`#include <QStackedWidget>`
`#include <QTemporaryFile>`
`#include <QTimer>`
`#include <QToolButton>`
`#include <QUndoStack>`
`#include <QUndoView>`
`#include <QListWidget>`
`#include <cmath>`

## Functions
void | getFiles (QStringList &files, const QString &path, QStringList &filters)
| getFiles

## Function Documentation

## ◆ getFiles()

void getFiles | ( | QStringList & | files,
|  | const QString & | path,
|  | QStringList & | filters
| ) |  |

getFiles

Parameters

  files |
  path |
  filters |